HRSALE The Ultimate HRM 1.0.2 – CVE-2018-10259 Cross-Site Scripting

Authors:8bitsec               Risk:High 

CVE:CVE-2018-10259           0day:Cross-Site Scripting

0day -id:0DAY-17609           Date:2018-04-26

Product & Service Introduction

HRSALE provides you with a powerful and cost-effective HR platform to ensure you get the best from your employees and managers.

Description

Authenticated Stored XSS vulnerability found logged as low privileged user.

POC

# Exploit Title: HRSALE The Ultimate HRM 1.0.2 - Authenticated Cross Site Scripting
# Date: 2018-04-23
# Exploit Author: 8bitsec
# CVE: CVE-2018-10259
# Vendor Homepage: https://codecanyon.net/
# Software Link: https://codecanyon.net/item/hrsale-the-ultimate-hrm/21665619
# Version: 1.0.2
# Tested on: [Kali Linux 2.0 | Mac OS 10.13]

Authenticated Stored XSS:
 
Dashboard > My Profile. Write the payload on the 'First Name' input field:
john doe<script>alert()</script>

Leave a Reply